# Uses of Class
org.eclipse.swt.graphics.RGB

Packages that use RGB
Package
Description
org.eclipse.compare.contentmergeviewer
Support for compare and merge viewers which show the content side-by-side.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.fieldassist
Provides classes that help communicate proper content for fields in dialogs and wizards.
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.resource
Provides support for managing resources such as SWT fonts and images.
org.eclipse.jface.text.hyperlink
Provides support for detecting and displaying hyperlinks in `ISourceViewer`s.
org.eclipse.jface.text.revisions
Provides a revision model and a protocol to display revision information in a vertical ruler column.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.jface.wizard
Provides a framework for wizards.
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.swt.graphics
SWT graphics classes.
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.ui.forms
Forms-based controls for use in views, editors, and wizards.
org.eclipse.ui.model
Provides a workbench adapter for displaying workbench elements in the UI without having to know the concrete type of the element, and various label providers for workbench-specific objects like editors, views, and perspectives.
org.eclipse.ui.splash
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.themes
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of RGB in org.eclipse.compare.contentmergeviewer

Methods in org.eclipse.compare.contentmergeviewer with parameters of type RGB
Modifier and Type
Method
Description
`void`
TextMergeViewer.`setBackgroundColor(RGB background)`
Sets the viewer's background color to the given RGB value.
`void`
TextMergeViewer.`setForegroundColor(RGB foreground)`
Sets the viewer's foreground color to the given RGB value.

## Uses of RGB in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return RGB
Modifier and Type
Method
Description
`RGB`
DebugElementWorkbenchAdapter.`getBackground(Object element)`
Deprecated.
`RGB`
DebugElementWorkbenchAdapter.`getForeground(Object element)`
Deprecated.

## Uses of RGB in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs with parameters of type RGB
Modifier and Type
Method
Description
`void`
TitleAreaDialog.`setTitleAreaColor(RGB color)`
Sets the title bar color for this dialog.

## Uses of RGB in org.eclipse.jface.fieldassist

Methods in org.eclipse.jface.fieldassist that return RGB
Modifier and Type
Method
Description
`static RGB`
FieldAssistColors.`computeErrorFieldBackgroundRGB(Control control)`
Deprecated.
Compute the RGB of the color that should be used for the background of a control to indicate that the control has an error.

## Uses of RGB in org.eclipse.jface.preference

Fields in org.eclipse.jface.preference declared as RGB
Modifier and Type
Field
Description
`static final RGB`
PreferenceConverter.`COLOR_DEFAULT_DEFAULT`
The default-default value for color preferences (black, `RGB(0,0,0)`).
Methods in org.eclipse.jface.preference that return RGB
Modifier and Type
Method
Description
`static RGB`
PreferenceConverter.`getColor(IPreferenceStore store, String name)`
Returns the current value of the color-valued preference with the given name in the given preference store.
`RGB`
ColorSelector.`getColorValue()`
Return the currently displayed color.
`static RGB`
PreferenceConverter.`getDefaultColor(IPreferenceStore store, String name)`
Returns the default value for the color-valued preference with the given name in the given preference store.
Methods in org.eclipse.jface.preference with parameters of type RGB
Modifier and Type
Method
Description
`void`
ColorSelector.`setColorValue(RGB rgb)`
Set the current color value and update the control.
`static void`
PreferenceConverter.`setDefault(IPreferenceStore store, String name, RGB value)`
Sets the default value of the preference with the given name in the given preference store.
`static void`
PreferenceConverter.`setValue(IPreferenceStore store, String name, RGB value)`
Sets the current value of the preference with the given name in the given preference store.

## Uses of RGB in org.eclipse.jface.resource

Methods in org.eclipse.jface.resource that return RGB
Modifier and Type
Method
Description
`static RGB`
StringConverter.`asRGB(String value)`
Converts the given value into an SWT RGB color value.
`static RGB`
StringConverter.`asRGB(String value, RGB dflt)`
Converts the given value into an SWT RGB color value.
`RGB`
ColorRegistry.`getRGB(String symbolicName)`
Returns the color data associated with the given symbolic color name.
Methods in org.eclipse.jface.resource with parameters of type RGB
Modifier and Type
Method
Description
`static RGB`
StringConverter.`asRGB(String value, RGB dflt)`
Converts the given value into an SWT RGB color value.
`static String`
StringConverter.`asString(RGB value)`
Converts the given SWT RGB color value object to a string.
`final Color`
ResourceManager.`createColor(RGB descriptor)`
Allocates a color, given its RGB value.
`static ColorDescriptor`
ColorDescriptor.`createFrom(RGB toCreate)`
Returns a color descriptor for the given RGB values
`final void`
ResourceManager.`destroyColor(RGB descriptor)`
Undoes everything that was done by a call to `ResourceManager.createColor(RGB)`.
`void`
ColorRegistry.`put(String symbolicName, RGB colorData)`
Adds (or replaces) a color to this color registry under the given symbolic name.

## Uses of RGB in org.eclipse.jface.text.hyperlink

Constructors in org.eclipse.jface.text.hyperlink with parameters of type RGB
Modifier
Constructor
Description
``
`DefaultHyperlinkPresenter(RGB color)`
Creates a new default hyperlink presenter.
``
`MultipleHyperlinkPresenter(RGB color)`
Creates a new multiple hyperlink presenter.

## Uses of RGB in org.eclipse.jface.text.revisions

Methods in org.eclipse.jface.text.revisions that return RGB
Modifier and Type
Method
Description
`abstract RGB`
Revision.`getColor()`
Returns the author color for this revision.

## Uses of RGB in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source with parameters of type RGB
Modifier and Type
Method
Description
`Color`
ISharedTextColors.`getColor(RGB rgb)`
Returns the color object for the value represented by the given `RGB` object.

## Uses of RGB in org.eclipse.jface.wizard

Methods in org.eclipse.jface.wizard that return RGB
Modifier and Type
Method
Description
`RGB`
IWizard.`getTitleBarColor()`
Returns the title bar color for this wizard.
`RGB`
Wizard.`getTitleBarColor()`
Methods in org.eclipse.jface.wizard with parameters of type RGB
Modifier and Type
Method
Description
`void`
Wizard.`setTitleBarColor(RGB color)`
Sets the title bar color for this wizard.

## Uses of RGB in org.eclipse.swt.custom

Fields in org.eclipse.swt.custom declared as RGB
Modifier and Type
Field
Description
`static RGB`
CTabFolder.`borderInsideRGB`
Deprecated.
drop shadow border is no longer drawn in 3.0
`static RGB`
ViewForm.`borderInsideRGB`
Deprecated.
`static RGB`
CTabFolder.`borderMiddleRGB`
Deprecated.
drop shadow border is no longer drawn in 3.0
`static RGB`
ViewForm.`borderMiddleRGB`
Deprecated.
`static RGB`
CTabFolder.`borderOutsideRGB`
Deprecated.
drop shadow border is no longer drawn in 3.0
`static RGB`
ViewForm.`borderOutsideRGB`
Deprecated.

## Uses of RGB in org.eclipse.swt.graphics

Fields in org.eclipse.swt.graphics declared as RGB
Modifier and Type
Field
Description
`RGB[]`
PaletteData.`colors`
the RGB values for an indexed palette, where the indices of the array correspond to pixel values
`final RGB`
RGBA.`rgb`
the RGB component of the RGBA
Methods in org.eclipse.swt.graphics that return RGB
Modifier and Type
Method
Description
`RGB`
Color.`getRGB()`
Returns an `RGB` representing the receiver.
`RGB`
PaletteData.`getRGB(int pixel)`
Returns an `RGB` corresponding to the given pixel value.
`RGB[]`
ImageData.`getRGBs()`
Returns an array of `RGB`s which comprise the indexed color table of the receiver, or null if the receiver has a direct color model.
`RGB[]`
PaletteData.`getRGBs()`
Returns all the RGB values in the receiver if it is an indexed palette, or null if it is a direct palette.
Methods in org.eclipse.swt.graphics with parameters of type RGB
Modifier and Type
Method
Description
`int`
PaletteData.`getPixel(RGB rgb)`
Returns the pixel value corresponding to the given `RGB`.
Constructors in org.eclipse.swt.graphics with parameters of type RGB
Modifier
Constructor
Description
``
`Color(Device device, RGB rgb)`
Constructs a new instance of this class given a device and an `RGB` describing the desired red, green and blue values.
``
`Color(Device device, RGB rgb, int alpha)`
Constructs a new instance of this class given a device, an `RGB` describing the desired red, green and blue values, alpha specifying the level of transparency.
``
`Color(RGB rgb)`
Constructs a new instance of this class given an `RGB` describing the desired red, green and blue values.
``
`Color(RGB rgb, int alpha)`
Constructs a new instance of this class given an `RGB` describing the desired red, green and blue values, alpha specifying the level of transparency.
``
`PaletteData(RGB... colors)`
Constructs a new indexed palette given an array of RGB values.

## Uses of RGB in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return RGB
Modifier and Type
Method
Description
`RGB`
ColorDialog.`getRGB()`
Returns the currently selected color in the receiver.
`RGB`
FontDialog.`getRGB()`
Returns an RGB describing the color that was selected in the dialog, or null if none is available.
`RGB[]`
ColorDialog.`getRGBs()`
Returns an array of `RGB`s which are the list of custom colors selected by the user in the receiver, or null if no custom colors were selected.
`RGB`
ColorDialog.`open()`
Makes the receiver visible and brings it to the front of the display.
Methods in org.eclipse.swt.widgets with parameters of type RGB
Modifier and Type
Method
Description
`void`
ColorDialog.`setRGB(RGB rgb)`
Sets the receiver's selected color to be the argument.
`void`
FontDialog.`setRGB(RGB rgb)`
Sets the RGB describing the color to be selected by default in the dialog, or null to let the platform choose one.
`void`
ColorDialog.`setRGBs(RGB[] rgbs)`
Sets the receiver's list of custom colors to be the given array of `RGB`s, which may be null to let the platform select a default when open() is called.

## Uses of RGB in org.eclipse.ui.forms

Methods in org.eclipse.ui.forms that return RGB
Modifier and Type
Method
Description
`static RGB`
FormColors.`blend(RGB c1, RGB c2, int ratio)`
Blends c1 and c2 based in the provided ratio.
`RGB`
FormColors.`getSystemColor(int code)`
Returns the RGB value of the system color represented by the code argument, as defined in `SWT` class.
Methods in org.eclipse.ui.forms with parameters of type RGB
Modifier and Type
Method
Description
`static RGB`
FormColors.`blend(RGB c1, RGB c2, int ratio)`
Blends c1 and c2 based in the provided ratio.
`Color`
FormColors.`createColor(String key, RGB rgb)`
Creates the color for the specified key using the provided RGB object.
`static boolean`
FormColors.`testAnyPrimaryColor(RGB rgb, int from, int to)`
Tests the source RGB for range.
`static boolean`
FormColors.`testTwoPrimaryColors(RGB rgb, int from, int to)`
Tests the source RGB for range.

## Uses of RGB in org.eclipse.ui.model

Methods in org.eclipse.ui.model that return RGB
Modifier and Type
Method
Description
`RGB`
IWorkbenchAdapter2.`getBackground(Object element)`
Provides a background color for the given element.
`RGB`
WorkbenchAdapter.`getBackground(Object element)`
The default implementation of this `IWorkbenchAdapter2` method returns `null`.
`RGB`
IWorkbenchAdapter2.`getForeground(Object element)`
Provides a foreground color for the given element.
`RGB`
WorkbenchAdapter.`getForeground(Object element)`
The default implementation of this `IWorkbenchAdapter2` method returns `null`.

## Uses of RGB in org.eclipse.ui.splash

Methods in org.eclipse.ui.splash with parameters of type RGB
Modifier and Type
Method
Description
`protected void`
BasicSplashHandler.`setForeground(RGB foregroundRGB)`
Set the foreground text color.

## Uses of RGB in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return RGB
Modifier and Type
Method
Description
`RGB`
AnnotationPreference.`getColorPreferenceValue()`
Returns the default presentation color.
Methods in org.eclipse.ui.texteditor with parameters of type RGB
Modifier and Type
Method
Description
`void`
AnnotationPreference.`setColorPreferenceValue(RGB colorValue)`
Sets the default presentation color.

## Uses of RGB in org.eclipse.ui.themes

Methods in org.eclipse.ui.themes that return RGB
Modifier and Type
Method
Description
`static RGB`
ColorUtil.`blend(RGB val1, RGB val2)`
Blend the two color values returning a value that is halfway between them.
`static RGB`
ColorUtil.`blend(RGB c1, RGB c2, int ratio)`
Blends the two color values according to the provided ratio.
`RGB`
IColorFactory.`createColor()`
Create a new color.
`RGB`
RGBBlendColorFactory.`createColor()`
`static RGB`
ColorUtil.`getColorValue(String rawValue)`
Get the RGB value for a given color.
`static RGB[]`
ColorUtil.`getColorValues(String[] rawValues)`
Get the RGB values for a given color array.
Methods in org.eclipse.ui.themes with parameters of type RGB
Modifier and Type
Method
Description
`static RGB`
ColorUtil.`blend(RGB val1, RGB val2)`
Blend the two color values returning a value that is halfway between them.
`static RGB`
ColorUtil.`blend(RGB c1, RGB c2, int ratio)`
Blends the two color values according to the provided ratio.